org.apache.sysds.lops

## Class LopProperties

- java.lang.Object
- - org.apache.sysds.lops.LopProperties

    public class LopProperties
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LopProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Types.ExecType` `getExecType()`
`long` `getID()`
`int` `getLevel()`
`boolean` `getProducesIntermediateOutput()`
`void` `setExecType(Types.ExecType newExecType)`
`void` `setLevel(ArrayList<Lop> inputs)`
`void` `setLevel(int l)`
`void` `setProducesIntermediateOutput(boolean pio)`
`void` `setProperties(ArrayList<Lop> inputs, Types.ExecType et)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LopProperties

    public LopProperties()

### Method Detail

#### getID

    public long getID()

#### getLevel

    public int getLevel()

#### setLevel

    public void setLevel(int l)

#### getExecType

    public Types.ExecType getExecType()

#### setExecType

    public void setExecType(Types.ExecType newExecType)

#### getProducesIntermediateOutput

    public boolean getProducesIntermediateOutput()

#### setProducesIntermediateOutput

    public void setProducesIntermediateOutput(boolean pio)

#### setLevel

    public void setLevel(ArrayList<Lop> inputs)

#### setProperties

    public void setProperties(ArrayList<Lop> inputs,
                              Types.ExecType et)